#' @title TO BE PRECISED
#' 
#' @description
#' TO BE PRECISED
#' 
#' @param h numeric, TO BE PRECISED, default to 0:50
#' @param rate, character, TO BE PRECISED, default to "cgp"
#' @param ..., TO BE PRECISED, arguments passed to `rate()`
#' 
#' @return TO BE PRECISED
#'
#' @export
#'
#' @encoding UTF-8

discount_rate = function(h = 0:50, rate = "cgp", ...) {
    cgp = function(h, begin = .04, limit = .02, shift = 30) {
        rate = pmin(
            ((1 + begin)^shift* (1 + limit)^(h - shift))^(1 / h) - 1,
            begin
        )
        rate[h == 0] = 0
        rate
    }

    constant = function(h, value = .04) {
        rate = rep(value, length(h))
        rate[h == 0] = 0
        rate
    }

    rate = switch(
        rate,
        cgp = cgp,
        constant = constant,
        NULL
    )

    if (min(h) < 0) stop("h must be a valid sequence of year")
    if (!is.function(rate)) stop("rate must be a valid function.")
    rate(h, ...)
}
