#' @title Testing period
#' 
#' @description
#' `in_period` tests whether week value is in period interval
#'
#' @param x, numeric week to be tested
#' @param s, numeric indicating starting date of period
#' @param e, numeric indicating end date of period

#' 
#' @return a logical vector indicating the position of weeks in the given period
#'
#' @export
#'
#' @encoding UTF-8

in_period = function(x, s, e)
    {if (s <= e) {s <= x & x <= e} else {x <= e | s <= x}}
