#' @title Calculating period
#' 
#' @description
#' `length_period` calculates the length of a period
#'
#' @param s, numeric, starting date of period
#' @param e, numeric, end date of period
#' @param size, integer, maximum value of period, default to 52

#' 
#' @return numeric value of period length
#'
#' @export
#'
#' @encoding UTF-8


length_period = function(s, e, size = 52) {
    1 + if (s <= e) e - s else e + size - s
}
