#' @title Loads all parameters for a given culture
#'
#' @description
#' Load all files for a given culture. Those files must be of type csv2.
#' 
#' @param path character, base path where to find the culture.
#' @param culture character, name of the culture.
#'
#' @return A list of parameters
#'
#' @export
#'
#' @encoding UTF-8

load_parameter = function(path, culture) {
    path = file.path(path, culture)
    parameter = lapply(
        file.path(path, dir(path)),
        utils::read.csv2
    )
    names(parameter) = make_name(
        corename(dir(path)),
        paste(culture, "_", sep = "")
    )
    parameter[["action"]][["value"]] = action_value(
        parameter[["action"]][["value"]],
        parameter[["action.value"]]
    )
    parameter
}
