#' @title Load typology
#'
#' @description
#' `load_typology` loads typology from csv2 file. Is called in 
#' `prepare_action_value()` and `prepare_typology()`
#' 
#' @param x character, base path where to find the typology.
#'
#' @return data.frame of crop typology
#'
#' @export
#'
#' @encoding UTF-8

load_typology = function(x) {
    result = as.matrix(utils::read.csv2(x, row.names = 1, check.names = FALSE))
    result[is.na(result)] = 0
    none = grep("NONE", colnames(result))
    if (length(none) > 0) {
        result = result[result[ , none] != 1, -none , drop = FALSE]
    }
    result = result[apply(
        result,
        1,
        function(x) {any(x != 0)}
    ) , , drop = FALSE]
    
    return(result)
}
