#' @title Make list from data.frame
#'
#' @description
#' `make_list_of_df()` makes a list from a data.frame. This function is called 
#' in `prepare_action_value()`
#' 
#' @param x data.frame to be transformed to list
#'
#' @return list
#'
#' @export
#'
#' @encoding UTF-8

make_list_of_df = function(x) {
    fun = function(x, culture, name) {
        result = data.frame(
            culture = culture,
            name = name,
            value = x)
        result[!is.na(result$value), ]
    }

    result = as.data.frame(t(x))
    names(result) = rownames(x)
    result = mapply(
        fun,
        result,
        colnames(result),
        MoreArgs = list(name = rownames(result)),
        SIMPLIFY = FALSE
    )
}
