#' @title Keep names in split
#' 
#' @description
#' `named_split()` TO BE PRECISED, keeps names when splitting a vector or
#' a data.frame 
#'
#' @param x vector or data.frame to be split
#' @param f TO BE PRECISED, is used for grouping
#' @param name character, TO BE PRECISED, default to NULL
#' @param ... arguments passed to `base::split()`
#' 
#' @return data.frame, TO BE PRECISED
#'
#' @export
#'
#' @encoding UTF-8

named_split = function(x, f, name = NULL, ...) {
    fun = function(x, name) {
        if (is.character(name)) name = grep(name, colnames(x))
        rownames(x) = x[ , name]
        x = x[, - name]
    }

    result = split(x, f, ...)
    if (!is.null(name)) {
        result = lapply(result, fun, name)
    }
    result
}
