#' @title Export data.frames from list
#' 
#' @description
#' `save_list_df()` exports data.frames contained in a list to the csv2 format. 
#' Called in `prepare_action_value()` and `prepare_calendar()`
#'
#' @param l list of data.frames to be exported
#' @param path character describing where to export data.frame.
#' @param pattern character, TO BE PRECISED
#' 
#' @return TO BE PRECISED
#'
#' @export
#'
#' @encoding UTF-8

save_list_df = function(l, path, pattern) {
    pattern = paste(pattern, "csv", sep = ".")
    mapply(
        utils::write.csv2,
        x = l,
        file = file.path(path, names(l), pattern),
        MoreArgs = list(row.names = FALSE)
    )
    invisible()
}
