# floodam.agri <img src="man/figures/logo.png" align="right" width="25%" height="25%"/>

## Welcome to floodam.agri

**floodam.agri** is an R library for producing flood damage functions
for cultivated plot (agriculture).

This library has been developed within the French working group “GT AMC”
which aims at developing methodologies for the economic appraisal of
flood management policies (Agenais et al. 2013 ; Brémond et al. 2022).
In this context, the development of **floodam.agri** has received the
support of the French Ministry in charge of the Environment. Further
development of the library was supported by the Labex AGRO 2011-LABX-002
as part of the [CAFRUA project
n°2101-027](https://so-ii.org/challenges-of-agriculture-adaptation-to-flood-risk-in-urban-areas-cafrua/).

## What **floodam.agri** can do

**floodam.agri** is based on a model of agricultural plots.

**floodam.agri** includes a collection of elementary damage components
that describe how elementary components may be impacted in terms of
monetary damage when flooded in specific conditions.

From this information, **floodam.agri** can calculate the following
outputs:

-   different type of damage functions:
    -   absolute damage functions to specific crops at plot level
    -   absolute damage functions to type of crops at plot level

## What **floodam.agri** cannot do

**floodam.agri** cannot (and is not intended to):

-   calculate damage from the intersection of hydraulic modeling, land
    use modeling and damage functions. This is what
    **[floodam.spatial](www.floodam.org/floodam.spatial)** does.
-   calculate damage at the farm level by taking into account
    interactions between plots, buildings and equipment. This is what
    **[AVA](http://www.floodam.org/ava/)** does.

**floodam.agri** cannot (but should at some point be able to) :

-   calculate the uncertainty of damage functions
-   perform a sensitivity analysis of damage functions
-   calculate damage functions at farm level

## How to get **floodam.agri**?

You can download and install it from this archive:
[www.floodam.org/library/floodam.agri_1.0.3.0.tar.gz](http://www.floodam.org/library/floodam.agri_1.0.3.0.tar.gz).

For instance, from a terminal, the command you can use is:

``` bash
R -e "install.packages(
    pkgs = 'http://www.floodam.org/library/floodam.agri_1.0.3.0.tar.gz',
    type = 'source',
    repos = NULL,
    dependencies = TRUE)"
```

## How to help for the development of **floodam.agri**?

Contact us.

## References

Agenais, Anne-Laure, Frédéric Grelot, Pauline Brémond, and Katrin
Erdlenbruch. 2013. “Dommages Des Inondations Au Secteur Agricole. Guide
Méthodologique Et Fonctions Nationales.” Groupe de travail national ACB
Inondation. IRSTEA. <https://hal.inrae.fr/hal-02600061>.

Brémond, Pauline, Anne-Laurence Agenais, Frédéric Grelot, and Claire
Richert. 2022. “Process-Based Flood Damage Modelling Relying on Expert
Knowledge: A Methodological Contribution Applied to the Agricultural
Sector.” *Natural Hazards and Earth System Sciences* 22 (10): 3385–3412.
<https://doi.org/10.5194/nhess-22-3385-2022>.
