% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/aggregate_damage.R
\encoding{UTF-8}
\name{aggregate_damage}
\alias{aggregate_damage}
\title{Aggregate damage}
\usage{
aggregate_damage(
  path,
  damage_origin = "total",
  hazard_agg = floodam.agri::HAZARD_AGGREGATE,
  retrieve = TRUE
)
}
\arguments{
\item{path}{list, describing where to find useful paths.}

\item{damage_origin}{character indicating which type of damage should be
aggregated. The damage functions to aggregate should be found in one of 
`list.files(path[["output"]][["combine"]])` after having called 
`combine_damaging()`. Default to "total".}

\item{hazard_agg}{list of data.frames which contains the aggregated hazard
parameters. Default to `floodam.agri::HAZARD_AGGREGATE` used to build the
french national damage functions.}

\item{retrieve}{logical indicating whether the result should be returned. 
Default to TRUE.}
}
\value{
data.frame of damage aggregated.
}
\description{
`aggregate_damage()` reads combined damage functions and aggregates damage 
accordingly to the hazard parameters in `hazard_agg`.
}
