% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_curve.R
\encoding{UTF-8}
\name{array_current}
\alias{array_current}
\title{Make array current}
\usage{
array_current(x, current = floodam.agri::CURRENT, current_start, level)
}
\arguments{
\item{x}{list of 2D-arrays (height, duration).}

\item{current}{data.frame, correspondance between velocity qualitative 
classes and their numeric value. Default to floodam.agri::CURRENT.}

\item{current_start}{parameter of the damaging curve giving what is the
starting level of current for which the curve is valid.}

\item{level}{character, levels of current to be included.}
}
\value{
list of 3D-arrays (height, duration, current)
}
\description{
`array_current()` transforms a list of 2D-arrays on a list of 3D-arrays
by taking into account information on current.
Called in `make_curve()`.
}
