% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_curve.R
\encoding{UTF-8}
\name{fit_complement}
\alias{fit_complement}
\title{Fit damaging.complement to hazard parameters}
\usage{
fit_complement(damaging.complement, calendar, current = floodam.agri::CURRENT)
}
\arguments{
\item{damaging.complement}{data.frame, complementary damaging information
for a crop. See
`inst/extdata/default/damagement/<crop>/damaging.complement.csv`.}

\item{calendar}{data.frame, crop calendar.}

\item{current}{data.frame, correspondance between velocity qualitative 
classes and their numeric value. Default to floodam.agri::CURRENT.}
}
\value{
data.frame, transformed damaging.complement data.frame in coherence
with needed format for `make_curve()`.
}
\description{
`fit_complement()` transforms format of a crop damaging.complement data.frame
to have numeric values instead of qualitative physiological phases and
velocity classes. Called in `make_curve()`.
}
