% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_curve.R
\encoding{UTF-8}
\name{make_curve}
\alias{make_curve}
\title{Make damage curve}
\usage{
make_curve(
  damaging.core,
  damaging.complement,
  calendar,
  level = floodam.agri::LEVEL,
  combine,
  current = floodam.agri::CURRENT,
  type = "data.frame"
)
}
\arguments{
\item{damaging.core}{data.frame, damage function for each type of phenomena
impacting a crop. See
`inst/extdata/default/damagement/<crop>/damaging.core.csv`.}

\item{damaging.complement}{data.frame, complementary damaging information
for a crop. See
`inst/extdata/default/damagement/<crop>/damaging.complement.csv`.}

\item{calendar}{data.frame, crop calendar.}

\item{level}{list giving levels for hazard parameters (current, duration, 
height, week), default to floodam.agri::LEVEL.}

\item{combine}{list of combine methods for each type of phenomena used to
group damaging function.}

\item{current}{data.frame, correspondance between velocity qualitative 
classes and their numeric value. Default to floodam.agri::CURRENT.}

\item{type}{character, should output be of class data.frame or a list,
default to "data.frame".}
}
\value{
if `type` is "data.frame", `make_curve()` returns a data.frame

if `type` is "list", `make_curve()` returns a list of 4D-arrays.
}
\description{
`make_curve()` makes the damage curve, for a crop. This function is called in
`calculate_damaging()`.
}
