% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/make_weight.R
\encoding{UTF-8}
\name{make_weight}
\alias{make_weight}
\title{Make weight}
\usage{
make_weight(x, y, weight = TRUE, trim = 0)
}
\arguments{
\item{x}{identity matrix indicating the correspondance between a crop 
typology and another.}

\item{y}{matrix, quantity of each crop to be used to create weights.}

\item{weight}{logical, should weights be applied to result. Should be set to 
FALSE to return a matrix filled with values of y coherently with 
correspondance. Default to TRUE.}

\item{trim}{integer, argument passed to `mean()`, default to 0.}
}
\value{
matrix of weights.
}
\description{
`make_weight()` creates weights coherently with an identity matrix, `x` and a
matrix giving the quantities for each crop for one or several years.
Called in `prepare_typology()`
}
