% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_damage_function.R
\encoding{UTF-8}
\name{plot_damage_function}
\alias{plot_damage_function}
\title{Plot damage functions}
\usage{
plot_damage_function(
  path,
  damage = "total",
  damage_path = NULL,
  current = NULL,
  duration = NULL,
  height = NULL,
  col = NULL,
  culture = NULL,
  title_culture = FALSE,
  main = NULL,
  add_hazard_info = TRUE,
  output_name = NULL,
  language = "EN",
  hazard = floodam.agri::HAZARD,
  verbose = TRUE,
  legend = TRUE,
  legend_pos = c("top", "topright", "topleft", "bottomright", "bottom", "bottomleft",
    "left", "right", "export_horizontal", "export_vertical"),
  add = FALSE
)
}
\arguments{
\item{path}{list describing where to find useful paths.}

\item{damage}{character, type of damage to be plotted. If NULL,
"total.csv" is selected. Default to NULL.}

\item{damage_path}{character, path to folder where to find damage curves. If
NULL, damage_path is set to `path[["output"]][["combine"]]`. Default to NULL.}

\item{current}{numeric, current to be plotted. Default to NULL.}

\item{duration}{numeric, duration to be plotted. Default to NULL.}

\item{height}{numeric, height to be plotted. Default to NULL.}

\item{col}{character, named or unnamed vector of colors for plot lines. Must 
be at least of the same length as culture. If col is unnamed, the attribution
of colors to culture will be made by default, you must set names of col 
accordingly to values of culture if you want to control the colors for each
crop. If NULL, default colors will be picked from the 
library("RColorBrewer"). Default to NULL.}

\item{culture}{character, name of crops to be plotted. If set to NULL, all
crops available in the provided damage function will be plotted. Default to
NULL.}

\item{title_culture}{logical, should shown crop names on plot be modified. If
set to TRUE, `plot_damage_function()` will look for the first 
available `title.culture.csv` in `path[[<extent>]][["typology"]]`. Default to
FALSE.}

\item{main}{character, text to pass as plot title. If NULL, no title is
added. Default to NULL.}

\item{add_hazard_info}{logical, should there be annotations giving the 
hazard parameters of the plotted damage curves. Default to TRUE.}

\item{output_name}{character, name to give to output file. Output format can
be one of c("pdf", "png", "jpg", "svg"). If NULL, the plot will not be
exported. Default to NULL.}

\item{language}{character, language for plot labels. Must be chosen from one
of c("EN", "FR"). Default to "EN".}

\item{hazard}{character, name of hazard parameters.
Default to floodam.agri::HAZARD.}

\item{verbose}{logical, should the function send some messages while running.}

\item{legend}{logical, should a legend be added to the plot. Default position
is given by the argument `legend_pos`.}

\item{legend_pos}{character, position of legend inside the plot. One of c(
"topleft", "top", "topright", "bottomright", "bottom", "bottomleft", "left",
"right", "export_horizontal", "export_vertical")}

\item{add}{logical, should the plot be added to an existing plot. Default to
FALSE.}
}
\value{
damage curve or damage curves for aggregated damage functions. It
can be simply shown or saved in the `output_format` format in the output
directory from `path[["output"]][["figure"]]`
}
\description{
`plot_damage_function()` makes a plot of agricultural damage. It can
plot any damage function that has been combined with `combine_damaging()`.
}
