% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prepare_typology.R
\encoding{UTF-8}
\name{treat_guideline}
\alias{treat_guideline}
\title{Create weight file from guideline}
\usage{
treat_guideline(
  guideline,
  input,
  output,
  trim = 0,
  classification = classification,
  extent = extent,
  path = path
)
}
\arguments{
\item{guideline}{data.frame of 1 observation of 4 variables.}

\item{input}{list of paths to folders where to find correspondance files and 
statistical data to be used to make weights.}

\item{output}{character giving the path to output directory.}

\item{trim}{integer, argument to be passed in `make_weight()`, default to 0.}

\item{classification}{character giving the name of classification to read in 
order to keep treated guidelines coherent.}

\item{extent}{character giving the name of the extent to be treated.}

\item{path}{list of useful paths.}
}
\description{
`treat_guideline()` makes operations on `guideline` in order to
create a weight file
It calls `load_typology()` and `make_weight()`.
}
