test_that("test calculate_damaging",
    {
        extent = "winery_3"
        output = file.path(tempdir(), extent)
        local = system.file("extdata", "example", "local", package = "floodam.agri")
        input = c(local = file.path(local, extent))

        # Preparing paths

        path = init_path(
            input = input,
            output = output,
            default = FALSE
        )

        typo = read.csv2(
            file.path(path[["local"]][["typology"]], "floodam.csv")
        )

        prepare_culture(path, typo)
        prepare_calendar(path, typo)
        expect_error(prepare_typology(path))
        prepare_action_value(path, typo)

        level = floodam.agri::LEVEL
        level[["duration"]] = as.character(c(0, 1, 5))
        level[["height"]] = as.character(seq(0, 300, 100))
        level[["week"]] = as.character(seq(1, 52, 8))

        damaging = calculate_damaging(
            path,
            level = level,
            retrieve = TRUE,
            update.hazard = TRUE
        )
        # TESTS à définir → simplifier les valeurs d'actions et d'endommagement?
    }
)