test_that("test combine_damaging",
    {
        # Testing if combine_damaging() when no weights are needed

        path = init_path()

        damage.culture = list(
            crop_1 = data.frame(
                total = c(0, 1000, 2000, 3000),
                yield.annual = c(0, 500, 1000, 1500),
                replanting = c(0, 200, 400, 600),
                new_component = c(0, 300, 200, 900)
            ),
            crop_2 = data.frame(
                total = c(0, 100, 200, 300),
                yield.annual = c(0, 50, 100, 150),
                replanting = c(0, 20, 40, 60),
                new_component = c(0, 30, 60, 90)
            )
        )
        hazard = data.frame(
            duration = c(1L, 1L, 5L, 5L), 
            height = c(0L, 10L, 20L, 20L),
            current = c(1L, 2L, 2L, 3L),
            week = c(1L, 10L, 15L, 10L)
        )
        
        combine_damaging(
            path = path,
            damage.culture = damage.culture,
            hazard = hazard,
            weight = NULL
        )

        expect_identical(
            list.files(path[["output"]][["combine"]]),
            paste0(sort(names(damage.culture[[1]])), ".csv")
        )
    }
)