test_that("test extract_action_value",
    {
        typo = data.frame(
            type1 = c(
                "vineyard",
                "vineyard_local",
                "vineyard_default"
            ),
            type2 = c(
                "vineyard",
                "vineyard_local",
                "vineyard_default"
            )
        )
        
        action_value_all = list(
            local = data.frame(
                harvest = c(10L, 20L, 30L), 
                treatment = c(100L, 200L, 300L),
                replanting = c(1000L, 2000L, 3000L),
                sale.price = c(10000L, 20000L, 30000L),
                row.names = c(
                    "vineyard",
                    "vineyard_local",
                    "vineyard_not_in_typo"
                )
            ),
            default = data.frame(
                harvest = c(40L, 50L), 
                treatment = c(400L, 500L),
                replanting = c(4000L, 5000L),
                sale.price = c(40000L, 50000L),
                row.names = c(
                    "vineyard",
                    "vineyard_default"
                )
            )
        )

        expect_identical(
            names(extract_action_value(action_value_all, typo)),
            typo[["type2"]]
        )
    }
)
