test_that("test extract_yield",
    {
        typo = data.frame(
            type1 = c(
                "alfalfa",
                "alfalfa_default",
                "vineyard",
                "vineyard_local"
            ),
            type2 = c(
                "alfalfa",
                "alfalfa_default",
                "vineyard",
                "vineyard_local"
            )
        )
        
        yield_all = list(
            local = structure(
                list(
                    yield.2020 = c(40L),
                    yield.2021 = c(50L),
                    yield.2022 = c(60L)
                ), 
                row.names = c("vineyard_local"),
                class = "data.frame"
            ), 
            regional = structure(
                list(
                    yield.2020 = c(60L, 90L, 120L),
                    yield.2021 = c(70L, 100L, 130L),
                    yield.2022 = c(80L, 110L, 140L)
                ), 
                row.names = c("Luzerne printemps", "Luzerne ete", "Viticulture"),
                class = "data.frame"
            ), 
            default = structure(
                list(
                    yield.2020 = c(150L, 180L, 210L),
                    yield.2021 = c(160L, 190L, 220L),
                    yield.2022 = c(170L, 200L, 230L)
                ), 
                row.names = c("Luzerne printemps", "Luzerne ete", "Viticulture"),
                class = "data.frame"
            )
        )

        weight_all = list(
            regional = structure(
                c(0.3, 0.7, 0, 0, 0, 0),
                dim = c(3L, 2L),
                dimnames = list(
                    c("Luzerne printemps", "Luzerne ete", "Viticulture"),
                    c("alfalfa", "vineyard")
                )
            ),
            default = structure(
                c(0.4, 0.6, 0, 0, 0, 1),
                dim = c(3L, 2L),
                dimnames = list(
                    c("Luzerne printemps", "Luzerne ete", "Viticulture"), 
                    c("alfalfa_default", "vineyard")
                )
            )
    )
        expect_silent(extract_yield(yield_all, weight_all, typo))
    }
)
