test_that("test find_data_path",
    {
        local = system.file(
            "extdata", "example", "local", "winery", package = "floodam.agri"
        )
        default = system.file(
            "extdata", "default", package = "floodam.agri"
        )
        
        path = init_path(input = c("local" = local))
        expect_identical(
            find_data_path(path, "floodam.csv", "typology"),
            stats::setNames(
                file.path(local, "typology", "floodam.csv"),
                "local"
            )
        )
        expect_identical(
            find_data_path(path, "vineyard", "damagement"),
            stats::setNames(
                file.path(default, "damagement", "vineyard"),
                "default"
            )
        )
        expect_identical(
            find_data_path(path, "vineyard_grass", "damagement"),
            stats::setNames(
                file.path(local, "damagement", "vineyard_grass"),
                "local"
            )
        )

        path = init_path()
        expect_identical(
            find_data_path(path, "floodam.csv", "typology"),
            stats::setNames(
                file.path(default, "typology", "floodam.csv"),
                "default"
            )
        )

        regional = system.file(
            "extdata", "regional", "Occitanie","2016", package = "floodam.agri"
        )
        path = init_path(
            input = c(
                "regional" = regional
            )
        )
        expect_identical(
            find_data_path(path, "floodam.csv", "typology"),
            stats::setNames(
                file.path(default, "typology", "floodam.csv"),
                "default"
            )
        )
    }
)
