test_that("test fit_complement",
    {
        path = init_path(classification = system.file(
            "extdata",
            "classification",
            package = "floodam.agri"
        ))
        typo = load_typo(path)
        
        # Example made from default vineyard
        culture = "vineyard"
        typo = typo[typo[["type1"]] == culture, ]
        
        # Creating useful files
        prepare_culture(path, typo)
        prepare_calendar(path, typo)
        prepare_typology(path, "RPG")
        prepare_action_value(path, typo)
        
        # Getting function arguments: calendar & damaging.complement 
        damaging.complement = read.csv2(file.path(
            path[["default"]][["damagement"]],
            culture,
            "damaging.complement.csv"
        ))
        parameter = load_parameter(path[["output"]][["culture"]], culture)
        calendar = fit_calendar(parameter[["calendar"]])

        result = expect_silent(fit_complement(damaging.complement, calendar))
        expect_false(any(is.na(result[["start.week"]])))
        expect_false(any(is.na(result[["end.week"]])))

        # Introducing error in current of damaging.complement
        damaging.complement[c(1, 2), "current"] = c("very slow", "lighht")
        expect_error(fit_complement(damaging.complement, calendar))

        # Introducing error in phases of damaging.complement
        selection = !is.na(damaging.complement) & damaging.complement == "leaf fall"
        damaging.complement[selection] = "fall leaf"
        expect_error(fit_complement(damaging.complement, calendar))
    }
)