test_that("test init_path",
    {
        path = expect_silent(init_path())
        expect_identical(path[["extent"]], "default")
        expect_identical(
            lengths(path[["default"]]),
            c(
                "combine" = as.integer(1),
                "damagement" = as.integer(1),
                "hazard" = as.integer(1),
                "stat" = as.integer(1),
                "typology" = as.integer(1)
            )
        )

        path = init_path(input = "")
        expect_identical(path[["extent"]], "default")

        local = system.file(
            "extdata", "example", "local", "winery", package = "floodam.agri"
        )
        path = init_path(input = local)
        expect_identical(path[["extent"]], c("user_01", "default"))

        path = init_path(input = c("local" = local, local))
        expect_identical(path[["extent"]], c("user_01", "user_02", "default")) 

        path = init_path(input = c("output" = local))
        expect_identical(path[["extent"]], c("user_01", "default")) 

        path = init_path(input = c("local" = local))
        expect_identical(path[["extent"]], c("local", "default"))

        local = system.file(
            "extdata", "example", "local", package = "floodam.agri"
        )
        expect_error(init_path(
            input = file.path(local, "no_files"),
            default = FALSE
        ))
        expect_error(init_path(
            input = file.path(local, "no_stat"),
            default = FALSE
        ))
        expect_silent(init_path(
            input = file.path(local, "no_typology"),
            default = FALSE
        ))
    }
)
