test_that("test make_weight",
    {
        correspondance = matrix(
            data = c(1, 1, 0, 0, 0, 1),
            nrow = 3,
            dimnames = list(
                c("cereal_1", "cereal_2", "vineyard"), c("CEREAL", "VINEYARD")
            )
        )
        quantity = matrix(
            data = rep(c(20, 5, 10), 3),
            nrow = 3,
            dimnames = list(
                c("cereal_1", "cereal_2", "vineyard"),
                c("surface.2009", "surface.2010", "surface.2011")
            )
        )
        expected = matrix(
            data = c(0.8, 0.2, 0.0, 0, 0, 1),
            nrow = 3,
            dimnames = list(
                c("cereal_1", "cereal_2", "vineyard"), c("CEREAL", "VINEYARD")
            )
        )

        result = make_weight(x = correspondance, y = quantity)
        expect_identical(result, expected)

        quantity = matrix(
            data = c(10, 5, 15, 20, 7, 10, 30, 3, 5),
            nrow = 3,
            ncol = 3,
            dimnames = list(
                c("cereal_1", "cereal_2", "vineyard"),
                c("surface.2009", "surface.2010", "surface.2011")
            )
        )
        result = make_weight(x = correspondance, y = quantity)
        expect_identical(result, expected)

        quantity[2, 1] = NA
        result = expect_silent(make_weight(x = correspondance, y = quantity))
        expect_identical(result, expected)

        quantity[2, ] = NA
        result = expect_silent(make_weight(x = correspondance, y = quantity))

        quantity[1, ] = NA
        result = expect_silent(make_weight(x = correspondance, y = quantity))
    }
)