test_that("test prepare_culture",
    {
        output = tempdir()
        path = init_path(
            output = output
        )

        typo = utils::read.csv2(find_data_path(
            path,
            name = "floodam.csv",
            field = "typology"
        ))
        
        expect_no_error(prepare_culture(path = path))

        expect_identical(
            list.files(file.path(output,"culture")),
            sort(unique(typo[["type2"]]))
        )

        unlink(file.path(output, "culture", "*"), recursive = TRUE)
        
        # Test when crop in typo not in any folder

        test = rbind(
            typo,
            c("error_crop", "error_crop")
        )

        expect_error(prepare_culture(path, typo = test))

        # TO DO ?: Verify that copied files correspond to the desired crop ? 
    }
)
